fgmCopula-class {copula} | R Documentation

## Class "fgmCopula"

### Description

Multivariate Multiparameter Farlie-Gumbel-Morgenstern Copula.

### Objects from the Class

Objects can be created by calls of the form `new("fgmCopula", ...)`.

### Slots

`exprdist`:

  Object of class `"expression"`, expressions for the cdf and pdf of the copula. These expressions are used in function `pCopula()` and `dCopula()`.

`dimension`:

  Object of class `"numeric"`, the dimension of the copula.

`parameters`:

  Object of class `"numeric"`, parameter values.

`param.names`:

  Object of class `"character"`, parameter names.

`param.lowbnd`:

  Object of class `"numeric"`, parameter lower bound.

`param.upbnd`:

  Object of class `"numeric"`, parameter upper bound.

`fullname`:

  Object of class `"character"`, family names of the copula.

### Methods

dCopula

  `signature(copula = "fgmCopula")`: ...

pCopula

  `signature(copula = "fgmCopula")`: ...

rCopula

  `signature(copula = "fgmCopula")`: ...

### Extends

Class `"fgmCopula"` extends class `"copula"` directly.

### Note

The verification of the validity of the parameter values is of high complexity and may not work for high dimensional copulas.

The random number generation needs to be properly tested, especially for dimensions higher than 2.

### References

Nelsen, R. B. (2006), An introduction to Copulas, Springer, New York.

### See Also

`copula-class`, `fgmCopula-class`.

[Package copula version 0.999-15 Index]